
                               QUICKSTART GUIDE
                                    to the
                            TOTALLY ACCURATE CLOCK

                                  Tom Clark
                               January 29, 1996

This document is a set of setup hints for new users of the my Totally Accurate
Clock ("TAC") hardware and software. If you follow these steps, you should
achieve 30-50 nsec timing accuracy without any problems.

1. THE HARDWARE YOU NEED
When you open the TAC box you should find the following hardware items:
   - The TAC itself.
   - A small L-band antenna.
   - A universal laptop "brick" power supply which can run on any AC mains
     voltage from 100 to 230 volts AC.

and also these items:
   - A 3.5" floppy disk with all the support software you should need.
   - Documentation on my SHOWTIME control/display software.
   - Documentation on the "TAC" hardware.
   - A sheet we printed when we tested your unit.

You will need to provide these items:
   - A standard PC clone computer running MSDOS or PCDOS. I will assume it has
     a 3.5" floppy drive, a small hard drive, and a COM1 or COM2 serial port.
   - An RS232 cable to connect the computer's COM port to the TAC box.
   - A standard IEC-type AC power cord suitable for your national standards.
   - An outdoor mounting for the antenna at a location that can see the sky.
   - Coax cable to run from the antenna to the TAC GPS receiver and
     appropriate connectors.

2. THE ANTENNA AND ITS INSTALLATION
You need to select an appropriate location at your station. The antenna we
sent is probably the Trimble antenna, which looks like a white "hockey puck"
which has a short (~6 foot or ~2 meter) piece of small coaxial cable (RG174)
terminated in a BNC connector.

The antenna is magnetic and will "stick" to an ferrous roof. You may want to
fabricate a small bracket to mount the antenna on a pole. The antenna will
work better if it is placed on a metal ground-plane which should be at least
one wavelength (20 cm) in size (and preferably larger). If you make a metal
sheet, you will probably want to drill a couple of holes in it and make use of
the threaded holes in the back of the antenna rather than relying on the
magnet (especially if the ground plane is aluminum!).

Make certain that the location you choose has good visibility of the sky down
to an elevation of 10 degrees. If you have to tolerate some blockage because
of local obstructions, try to place the blockage in the north (if you are in
the northern hemisphere, or in the south if you are in the southern
hemisphere) in the area where no GPS satellites appear (they are in orbits
inclined 55 degrees).

You will need to run a piece of 50 ohm coaxial cable from the antenna to the
TAC, which you now need to prepare. The antenna has an L-band amplifier with
about 30 dB of gain in it, so you need to select coax that will have less than
20-25 dB of loss at 1575 MHz (+5v DC power to run the preamplifier is supplied
thru the coax by the TAC, so you will need to insure that you have a DC path
as you install the cable).  "Quarter-inch" (i.e. RG58) coax will be OK if the
length is less than about 50' (15 meters). You should use "half-inch" (i.e.
RG8 or RG214) if the length is up to about 150' (50 meters). If the run is
longer, you may need to use an additional booster amplifier.

As you prepare the cable, make note of its length. We will need to make a
pulse timing correction during the setup. If the cable does not have a solid
dielectric also not that fact since the setup procedure assumes a cable with
a velocity factor of 0.66.

The short cable from the antenna has a BNC connector, and this connector is
NOT waterproof. So after you install it, apply suitable weatherproofing to the
junction between the short antenna cable and your longer feed cable.

It may be that you have another precision (i.e. Geodetic) GPS receiver
operating at your facility. If so, then you can "tap" the signals from that
antenna in lieu of installing the antenna we provided. A 10-20 dB directional
coupler installed in the feedline to your geodetic receiver should work fine
to provide such a tap. Make sure that the directional coupler or power
splitter provides DC continuity so that the existing antenna will still get
power for its internal preamplifier. If you use this approach, open the TAC
box and pull the small jumper connector near the internal SMA coax connector
so that the TAC's +5v bias is disabled.

3. SETTING UP THE PC
The next step is to get the support software installed on the support PC. If
your PC is fairly standard, this should be easy. I assume your 3.5" floppy is
the A: drive and that you want to use your C: hard disk. Then the following
should work

   - Put the floppy disk into A:
   - Type      A:        to change to the floppy.
   - Type      DIR       to make sure that you can read the floppy disk
   - Type      SETUP C:  to copy all the code to the hard disk
   - There will be some "hit any key" prompts during installation

Note:It has been reported that some of the XCOPY commands in SETUP.BAT may
     fail on earlier releases of MSDOS. I'm sure you are clever enough to work
     around such problems!


This should create a directory tree like

     C:
     |
     +--\TAC
          | SHOWTIME.GPS   ****
          | SHOWTIME.TAC   ****
          | SHOWTIME.BAT   ****
          | several other .BAT files
          | some documentation files
          | some other miscellaneous files
          +--\BIN
               | SHOWTIME.EXE  ****
               | PKUNZIP.EXE
               | Motorola's "official" controller software
               | some other .EXE files
          +--\ZIP
               | the PKZIPped master files
          +--\EXC
               | the EXC shareware utility that is useful to run the Motorola
                   controller software
          +--\DOC
               | the supporting documentation files

The critical files are flagged in this list like ****

4.SETTING UP THE SOFTWARE
The SHOWTIME.GPS file (or some other *.GPS file) must now be edited for your
local system. Early in that file are 6 lines that look like:

>  LAT:     +39.1883333333   ......
>  LON:     -76.9350999832   ......
>  HGT:         +110.000     ......
>  COM2                                   |COM1/2
>  TZ:      UTC  0                        |Time Zones: PC
>  LTZ:     EST  5                        |  Local

The first 2 are your stations Lat/Lon in degrees. The numbers shown are for my
home. You need to change these entries to put in your Lat/Lon accurate to the
1 degree (or better) level. The sign on LON is negative for West Longitudes
(as usually used in the USA) or positive for east longitudes. The 3rd entry is
your local height in meters.

These numbers need only be approximate for initial testing. SHOWTIME will
update them to more accurate values later.

The 4th line defines which COM port on the PC you are using for the TAC.

The 5th and 6th lines are used to define the time zone your PC's clock is
using and your local time zone. In this case, my PC runs in UTC with zero
hours offset, and my local time zone is EST, 5 hours offset from UTC.

Verify that this line is correct, since we will want to run the TAC in 3-
dimensional positioning mode for initial setup:

>  NDim     3                             |0/2/3-D


And while we are at it, we may need to edit another item in the line like:

>  GEOID    0                             |Corrections:

Look at the test sheet we sent with your receiver -- you will find a 10-line
screen dump showing the Motorola configuration information. In that listing
are three lines reading something like:

>  SOFTWARE VER # 6
>  SOFTWARE REV # 0
>  SOFTWARE DATE  20 APR 1994

Motorola made a change in the definition of heights reported in their NMEA
message. If your TAC has SOFTWARE VER#5 or SOFTWARE VER#6 (and a date before
January, 1995), then the line should read

>  GEOID    0                             |Corrections:

If you have a later software version, it should read

>  GEOID    1                             |Corrections:

Note:This annoying problem is discussed in some detail in FAQ's (in your
     documentation booklet and in the SHOWTIME.FAQ file.


4. TRYING YOUR TAC
After making these changes to the file, we are ready to see if everything
works. Apply power to the TAC, and the front-panel LED should start flashing.
If it doesn't check to make sure power is connected!

On your PC, start in the C:\TAC directory and type   SHOWTIME. After a brief
signon message, you should see a "Checking 1PPS" message and an oscilloscope-
like display. The computer should make 4 or 5 beeps while it verifies that the
1PPS signal is connected. You will then briefly see "INIT@4800" "@9600" and
"@4800" messages while parameters are loaded into the GPS receiver. The screen
should then change to display with big digits showing the HH:MM:SS time.

The lower right-hand quadrant of the screen should now be showing information
on the GPS satellites that are visible -- the PRN (Pseudo-Random code ID ##,
which is in essence the satellite's serial number), azimuth and elevation.
After the receiver locks onto a satellite, the SNR (Signal-to-noise ratio, in
approximate dB) is shown both in numbers and in a bar-graph "S-meter" format.
The SNRs are a good indication that your antenna installation is OK. Sat-
ellites at high elevations should show SNRs of 25 or greater.

As you get lock on several satellites, the position panel in the lower left-
hand quadrant should start reporting "Last" positions and you will start to
form a more accurate average ("Avg") position. Your initial guess position is
the "Ref" value and you see the differences (Greek delta) between the Ref, Avg
and Last positions in meters. Don't be surprised or worried if your "Ref"
initial position guess was wrong by kilometers (and perhaps the display has
some overflows).

Now is a good time to see some of the other SHOWTIME characteristics. Hit the
PC's space bar and you will see the positions replaced with a menu that tells
you the single-key switches available to you. The detailed description of the
menu functions is described in the SHOWTIME.DOC booklet.

At this point, let the receiver run for 15 minutes to an hour to "soak" up a
better average position.

5. IMPROVING THE REFERENCE POSITION
Now that SHOWTIME has "soaked up" an average position, it is time to set a few
parameters following this recipe:

   - Hit [P] to get the [P]osition screen.
   - Hit [L] to transfer the current AVG Lat/Lon to be the REFerence Lat/Lon
   - Hit [H] to transfer the AVG height to the REFerence
   - Hit [T] to go to the timing setup screen

Now we will account for the length of the coax cable between the receiver and
the antenna using the cable length you made note of in step 2. Add to it the
length of the 1PPS cable between the TAC and your station measurement system.
The travel times in both the antenna and 1PPS cables make the pulse arrive at
the end of the 1PPS cable LATE, and in this step we will insert an offset into
the receiver to account for those delays. If both coax cables have ordinary
polyethylene dielectric, they have a velocity factor of 0.66 and that is
accounted for in this step:

   - Hit [C] to enter the cable length
   - Enter the cable length in a format like   37.2 feet    or   28.7 meters
   - hit [enter]

If the cables are have Teflon or Foam dielectric, then you will have to
compute the appropriate time delay yourself, so for the second step you

   - Enter the cable length in a format like    96.3 nsec
   - hit [enter]

Note:This screen also shows a value of 8 nsec for the internal receiver delay.
     This is a provisional value subject to more detailed calibrations of the
     TAC and is based on the propagation delay thru two 74AC14 gates.


Now let us save these improved parameters to the SHOWTIME.GPS file:

   - Hit [F] to go to the [F]iles screen
   - Hit [R] and enter a descriptive text string of your choice
   - Hit [U] to update the SHOWTIME.GPS file (or you can hit [F] and write the
     configuration information to a new file)
   - Hit the <esc> key to resume operation.

6. GETTING A STILL BETTER REFERENCE POSITION
At this point, your reference position is probably accurate at the ~25 meter
level. To do the best possible timing, we would like to improve it to the 5
meter or better level. To do this, we want to average the position for a much
longer time -- at least 6 hours, preferably one day. Hence we want to change
the averaging parameters that SHOWTIME uses by doing the following:

   - Hit [A] to bring up the [A]veraging parameter screen.
   - Hit [P] (this must be the UPPER-CASE P) and enter a long averaging window
     like 24 hours by typing  24h  (the screen will show this as 86400 sec).
     (These keyboard inputs are only read one character/sec, so they will seem
     very sluggish!)
   - Hit <cr> (<enter>) to accept the value.
   - Similarly, use [R] (UPPER CASE) and set the RMS window to be at least as
     long.
   - Hit [z] to start a fresh average
   - Hit <esc> to restore the display

Now let the receiver "soak" while determining average positions for a day or
so. Then repeat item 5 (except that you don't need to re-do the [T]iming
[C]able step) to save these high-accuracy positions.

7. USING THE TAC FOR TIMING
During the preceding steps, the TAC's 1PPS signal was noisy and inaccurate at
the ~200 nsec level. Now that we have determined a good position, we can set
up for high accuracy timing. To see how dramatic the change will be, you might
want to take a look at the graphical results in the  oso-270.gif  file. We are
now at the middle of day 270 and we will now set up the TAC for high accuracy
timing with the following steps:

   - Hit [G] to bring up the [G]PS Mode Screen
   - Hit [t] (lower-case t) to select timing mode defaults
   - Hit <esc> to return to normal operation

At this point, the lower-left quadrant will have changed completely. The TAC
GPS receiver has been setup to run in "zero-D" timing only mode and is no
longer determining positions. A additional lines is in the upper right-hand
corner report on the total epoch offset (not including the cable and internal
calibration offsets) and give an estimate of the current one-sigma timing
accuracy.

If you are happy, hit [F] to get the files menu, update the [R]eference ID
text string, and [U]pdate the SHOWTIME.GPS file.

8. TIMING OFFSETS
It may be that you want the TAC 1PPS signal to be offset from the UTC second.
You can move the pulse in 1 nsec steps anywhere in the second. You might want
to do this to make certain that the GPS pulse follows the pulse from your
station's atomic standard. To set in an offset you do this:

   - Hit [T] to go to the timing screen
   - You can enter a coarse offset using [E]
   - Or you can enter a fine offset using [U]
   - Or you can slew the epoch with [S]
   - Or you can intentionally make the pulse be early with [I]

For all these commands, you will be prompted with default units, but you can
over-ride the default when you enter the number. For example, if you wanted
the pulse to be 2 usec late, you could use [U] and enter 2 (usec default) or
enter  2000 nsec  or  enter  .002 msec -- all are equivalent. You can even
enter timing offsets in feet or meters!

SHOWTIME will take care of all the arithmetic for you with the sign convention
that "+" is late and "-" is early.

After you enter an offset and <esc> to normal operation, the display will look
a bit different. The training digits (in medium-sized characters) following
the HH:MM:SS display now show the nearest msec for the offset you entered. The
lines in the top right-hand corner show the total epoch as well as the offset
from the time displayed.

The screen update (and the fake WWV [N]oise ticks) are triggered by the 1PPS
signal. If you entered a 500 msec offset, then the screen update (and the
[N]oise ticks) occur half-way thru the second.

9. GETTING HELP
If all else fails, first read the SHOWTIME.DOC "manual" and the SHOWTM30.DOC
version 3 update. Pay special attention to the Frequently Asked Questions
(FAQ) section (also in the file SHOWTIME.FAQ). Most problems with the TAC and
SHOWTIME have either been due to bad cables or to a problem in my software
(and the way it may work on non-standard computers)! The problems have been
found and solved are documented in the FAQs.

We have an Email exploder that addresses GPS timing issues (including the use
of the TAC):
          gps-timing@aleph.gsfc.nasa.gov

I use the gps-timing exploder to announce new software releases, results, etc.
If you want to subscribe to gps-timing, send an Email message to me or to
Nancy Vandenberg   ( nrv@bootes.gsfc.nasa.gov ).

All the TAC documentation and the most current software is found on my aleph
file server at this URL:

          ftp://aleph.gsfc.nasa.gov/GPS/totally.accurate.clock/

If you have other questions, contact me by Email:

          clark@tomcat.gsfc.nasa.gov    or    w3iwi@amsat.org
          



